rwx_shellcheck() {
	local root="${1}"
	local file module modules path
	file="$(mktemp)"
	modules="$(rwx_main_find "${root}")"
	while IFS= read -r module; do
		path="${root}/${module}.${RWX_MAIN_EXTENSION}"
		echo ". \"${path}\"" >>"${file}"
	done <<EOF
${modules}
EOF
	rwx_shellcheck_file "${file}"
	rwx_remove "${file}"
}

rwx_shellcheck_file() {
	local file="${1}"
	shellcheck \
		--check-sourced \
		--enable "all" \
		--exclude "3043" \
		--external-sources \
		--shell "dash" \
		"${file}"
}

rwx_shellcheck_write() {
	rwx_file_write ".shellcheckrc" "\
disable=3043
enable=all
external-sources=true
shell=sh
"
}
